/*
 * File   : $Source: /usr/local/cvs/opencms/src-modules/org/opencms/workplace/tools/content/convertxml/Messages.java,v $
 * Date   : $Date: 2009-08-13 12:31:29 $
 * Version: $Revision: 1.1 $
 *
 * This library is part of OpenCms -
 * the Open Source Content Management System
 *
 * Copyright (c) 2002 - 2008 Alkacon Software GmbH (http://www.alkacon.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software GmbH, please see the
 * company website: http://www.alkacon.com
 *
 * For further information about OpenCms, please see the
 * project website: http://www.opencms.org
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.opencms.workplace.tools.content.convertxml;

import org.opencms.i18n.A_CmsMessageBundle;
import org.opencms.i18n.I_CmsMessageBundle;

/**
 * Convenience class to access the localized messages of this OpenCms package.
 * <p>
 * 
 * @author Mario Jaeger
 * 
 * @version $Revision: 1.1 $
 * 
 * @since 7.0.5
 */
public final class Messages extends A_CmsMessageBundle {

    /** Message constant for key in the resource bundle. */
    public static final String GUI_CONVERTXML_DIALOG_BLOCK_SETTINGS_0 = "GUI_CONVERTXML_DIALOG_BLOCK_SETTINGS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_CONVERTXML_THREAD_NAME_0 = "GUI_CONVERTXML_THREAD_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_BEGIN_0 = "RPT_CONVERTXML_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_PARAMETERS_0 = "RPT_CONVERTXML_PARAMETERS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_PARAMETERS_RESOURCE_PATH_1 = "RPT_CONVERTXML_PARAMETERS_RESOURCE_PATH_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_PARAMETERS_INC_SUBFOLDERS_1 = "RPT_CONVERTXML_PARAMETERS_INC_SUBFOLDERS_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_PARAMETERS_XSLT_FILE_1 = "RPT_CONVERTXML_PARAMETERS_XSLT_FILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_PARAMETERS_NEW_XSD_MAINFILE_1 = "RPT_CONVERTXML_PARAMETERS_NEW_XSD_MAINFILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_PARAMETERS_ONLY_COUNT_1 = "RPT_CONVERTXML_PARAMETERS_ONLY_COUNT_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_START_SEARCHING_0 = "RPT_CONVERTXML_START_SEARCHING_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_FOUND_FILES_1 = "RPT_CONVERTXML_FOUND_FILES_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_NO_FILES_FOUND_0 = "RPT_CONVERTXML_NO_FILES_FOUND_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_NO_XSLT_FILE_0 = "RPT_CONVERTXML_NO_XSLT_FILE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_PUBLISHING_FILES_0 = "RPT_CONVERTXML_PUBLISHING_FILES_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_RESULT_0 = "RPT_CONVERTXML_RESULT_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_FILES_ALREADY_TRANSFORMED_1 = "RPT_CONVERTXML_FILES_ALREADY_TRANSFORMED_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORM_NUMBER_ERRORS_1 = "RPT_CONVERTXML_TRANSFORM_NUMBER_ERRORS_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_LOCKED_FILES_1 = "RPT_CONVERTXML_LOCKED_FILES_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORMING_FAILED_0 = "RPT_CONVERTXML_TRANSFORMING_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORMING_SUCCESS_0 = "RPT_CONVERTXML_TRANSFORMING_SUCCESS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_BEGIN_TRANSFORM_THREAD_0 = "RPT_CONVERTXML_BEGIN_TRANSFORM_THREAD_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORMING_FAILED2_0 = "RPT_CONVERTXML_TRANSFORMING_FAILED2_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORM_END_0 = "RPT_CONVERTXML_TRANSFORM_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORM_CURRENT_FILE_NAME_2 = "RPT_CONVERTXML_TRANSFORM_CURRENT_FILE_NAME_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORM_CURRENT_FILE_NAME2_2 = "RPT_CONVERTXML_TRANSFORM_CURRENT_FILE_NAME2_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORM_PUBLISHED_FILE_0 = "RPT_CONVERTXML_TRANSFORM_PUBLISHED_FILE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_FILE_ALREADY_TRANSFORMED_1 = "RPT_CONVERTXML_FILE_ALREADY_TRANSFORMED_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_LOCKED_FILE_1 = "RPT_CONVERTXML_LOCKED_FILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_THREAD_END_0 = "RPT_CONVERTXML_THREAD_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_BEGIN_TRANSFORM_0 = "RPT_CONVERTXML_BEGIN_TRANSFORM_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_TRANSFORMATION_ERROR_0 = "RPT_CONVERTXML_TRANSFORMATION_ERROR_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_NO_XSD_FILE_0 = "RPT_CONVERTXML_NO_XSD_FILE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_NO_VFS_FOLDER_0 = "RPT_CONVERTXML_NO_VFS_FOLDER_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_SEARCH_ERROR_0 = "RPT_CONVERTXML_SEARCH_ERROR_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_WRITE_ERROR_0 = "RPT_CONVERTXML_WRITE_ERROR_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_MISSION_ENCODING_TYPE_1 = "RPT_CONVERTXML_MISSION_ENCODING_TYPE_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_UNLOCK_FILE_1 = "RPT_CONVERTXML_UNLOCK_FILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CONVERTXML_INITIALIZE_CMS_ERROR_0 = "RPT_CONVERTXML_INITIALIZE_CMS_ERROR_0";

    /** Name of the used resource bundle. */
    private static final String BUNDLE_NAME = "org.opencms.workplace.tools.content.convertxml.messages";

    /** Static instance member. */
    private static final I_CmsMessageBundle INSTANCE = new Messages();

    /**
     * Hides the public constructor for this utility class.<p>
     */
    private Messages() {

        // hide the constructor
    }

    /**
     * Returns an instance of this localized message accessor.<p>
     * 
     * @return an instance of this localized message accessor
     */
    public static I_CmsMessageBundle get() {

        return INSTANCE;
    }

    /**
     * Returns the bundle name for this OpenCms package.<p>
     * 
     * @return the bundle name for this OpenCms package
     */
    public String getBundleName() {

        return BUNDLE_NAME;
    }
}